local pvpStorageValue = 12345
local pvpStorageTime = 12346
local pvpChangeInterval = 24 * 60 * 60 -- time in seconds
local wordsPvP_OFF = {'0', 'no', 'off'}
local wordsPvP_ON = {'1', 'yes', 'on'}

function onSay(cid, words, param, channel)
	if(param ~= '') then -- parameter is set
		if(getCreatureStorage(cid, pvpStorageTime) < os.time()) then -- can change pvp mode
			if(table.find(wordsPvP_OFF, param:lower()) ~= nil) or (table.find(wordsPvP_OFF, param:lower()) ~= nil) then -- known pvp mode parameter
				if(table.find(wordsPvP_OFF, param:lower()) ~= nil and getCreatureStorage(cid, pvpStorageValue) == 1) then -- pvp mode off
					doSetStorage(cid, pvpStorageValue, 0)
					doSetStorage(cid, pvpStorageTime, os.time() + pvpChangeInterval)
					doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_BLUE, "Now your PvP mode is OFF")
					doSendMagicEffect(tmp, CONST_ME_MAGIC_BLUE)
				elseif(table.find(wordsPvP_ON, param:lower()) ~= nil and getCreatureStorage(cid, pvpStorageValue) == 0) then -- pvp mode on
					doSetStorage(cid, pvpStorageValue, 1)
					doSetStorage(cid, pvpStorageTime, os.time() + pvpChangeInterval)
					doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_BLUE, "Now your PvP mode is ON")
					doSendMagicEffect(tmp, CONST_ME_MAGIC_RED)
				else -- player try to set PvP mode that he is using
					doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_BLUE, "You are already in this PvP mode.")
					doSendMagicEffect(tmp, CONST_ME_POFF)
				end
			else -- unknown parameter
				doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_BLUE, "Unknown parameter.")
				doSendMagicEffect(tmp, CONST_ME_POFF)
			end
		else -- can not change pvp mode
			doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_BLUE, "You must wait until " .. os.date("%x %H:%M:%S", getCreatureStorage(cid, pvpStorageTime)) .. " to switch PvP mode ON/OFF.")
			doSendMagicEffect(tmp, CONST_ME_POFF)
		end
	else -- no parameter
		doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_BLUE, "Your PvP mode is " .. (getCreatureStorage(cid, pvpStorageValue) == 0) and "OFF" or "ON" .. ". Next switch time is " .. os.date("%x %H:%M:%S", getCreatureStorage(cid, pvpStorageTime)))
	end
	return true
end
